Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in libxml2
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in libxml2
ID: SUSE-SU-2018:3080-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Module for Basesystem 15
Datum: Di, 9. Oktober 2018, 16:44
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-14404
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-14567
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-9251
Applikationen: libxml2

Originalnachricht

   SUSE Security Update: Security update for libxml2
______________________________________________________________________________

Announcement ID: SUSE-SU-2018:3080-1
Rating: moderate
References: #1088279 #1102046 #1105166
Cross-References: CVE-2018-14404 CVE-2018-14567 CVE-2018-9251

Affected Products:
SUSE Linux Enterprise Module for Basesystem 15
______________________________________________________________________________

An update that fixes three vulnerabilities is now available.

Description:

This update for libxml2 fixes the following security issues:

- CVE-2018-9251: The xz_decomp function allowed remote attackers to cause
a denial of service (infinite loop) via a crafted XML file that triggers
LZMA_MEMLIMIT_ERROR, as demonstrated by xmllint (bsc#1088279)
- CVE-2018-14567: Prevent denial of service (infinite loop) via a crafted
XML file that triggers LZMA_MEMLIMIT_ERROR, as demonstrated by xmllint
(bsc#1105166)
- CVE-2018-14404: Prevent NULL pointer dereference in the
xmlXPathCompOpEval() function when parsing an invalid XPath expression
in the XPATH_OP_AND or XPATH_OP_OR case leading to a denial of service
attack (bsc#1102046)


Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Module for Basesystem 15:

zypper in -t patch SUSE-SLE-Module-Basesystem-15-2018-2182=1



Package List:

- SUSE Linux Enterprise Module for Basesystem 15 (aarch64 ppc64le s390x
x86_64):

libxml2-2-2.9.7-3.3.1
libxml2-2-debuginfo-2.9.7-3.3.1
libxml2-debugsource-2.9.7-3.3.1
libxml2-devel-2.9.7-3.3.1
libxml2-tools-2.9.7-3.3.1
libxml2-tools-debuginfo-2.9.7-3.3.1
python-libxml2-python-debugsource-2.9.7-3.3.1
python2-libxml2-python-2.9.7-3.3.1
python2-libxml2-python-debuginfo-2.9.7-3.3.1
python3-libxml2-python-2.9.7-3.3.1
python3-libxml2-python-debuginfo-2.9.7-3.3.1

- SUSE Linux Enterprise Module for Basesystem 15 (x86_64):

libxml2-2-32bit-2.9.7-3.3.1
libxml2-2-32bit-debuginfo-2.9.7-3.3.1


References:

https://www.suse.com/security/cve/CVE-2018-14404.html
https://www.suse.com/security/cve/CVE-2018-14567.html
https://www.suse.com/security/cve/CVE-2018-9251.html
https://bugzilla.suse.com/1088279
https://bugzilla.suse.com/1102046
https://bugzilla.suse.com/1105166

_______________________________________________
sle-security-updates mailing list
sle-security-updates@lists.suse.com
http://lists.suse.com/mailman/listinfo/sle-security-updates
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung